%define upstream_name    IO-Socket-SSL
%define upstream_version 1.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Nearly transparent SSL encapsulation for IO::Socket::INET
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::SSLeay) >= 1.210.0
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
IO::Socket::SSL is a class implementing an object oriented
interface to SSL sockets. The class is a descendent of
IO::Socket::INET and provides a subset of the base class's
interface methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc BUGS Changes META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorlib}/IO

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.810.0-2.mga3
+ Revision: 368548
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.810.0-1.mga3
+ Revision: 342223
- update to 1.81

* Mon Oct 15 2012 jquelin <jquelin> 1.770.0-1.mga3
+ Revision: 306138
- update to 1.77

* Mon Jun 18 2012 kharec <kharec> 1.760.0-1.mga3
+ Revision: 261704
- update to 1.76

* Tue Jun 05 2012 jquelin <jquelin> 1.740.0-1.mga3
+ Revision: 255056
- update to 1.74

* Tue Mar 06 2012 jquelin <jquelin> 1.580.0-1.mga2
+ Revision: 219934
- update to 1.58

* Wed Feb 22 2012 kharec <kharec> 1.560.0-1.mga2
+ Revision: 212175
- update to 1.56

* Wed Jan 25 2012 jquelin <jquelin> 1.540.0-1.mga2
+ Revision: 200898
- update to 1.54

* Mon Dec 12 2011 kharec <kharec> 1.530.0-1.mga2
+ Revision: 180846
- update to 1.53

* Wed Dec 07 2011 kharec <kharec> 1.520.0-1.mga2
+ Revision: 178210
- upstream has fixed dubious check in a new version
- 1.52

* Wed Dec 07 2011 kharec <kharec> 1.510.0-1.mga2
+ Revision: 178143
- update to 1.51

* Tue Nov 08 2011 jquelin <jquelin> 1.490.0-1.mga2
+ Revision: 165455
- remove MYMETA from %%doc
- update to 1.49

* Thu Nov 03 2011 jquelin <jquelin> 1.480.0-1.mga2
+ Revision: 162228
- update to 1.48

* Thu Oct 13 2011 jquelin <jquelin> 1.450.0-1.mga2
+ Revision: 154334
- update to 1.45

* Wed Jun 15 2011 jquelin <jquelin> 1.440.0-1.mga2
+ Revision: 106998
- update to 1.44

* Thu Mar 10 2011 jquelin <jquelin> 1.390.0-1.mga1
+ Revision: 67470
- adding missing buildrequires:
- update to 1.39

* Fri Jan 28 2011 dmorgan <dmorgan> 1.380.0-2.mga1
+ Revision: 43021
- Fix spec file
- New version 1.38

* Wed Jan 19 2011 jquelin <jquelin> 1.370.0-2.mga1
+ Revision: 24187
- rebuild
- use meta.yml

* Mon Jan 17 2011 spuhler <spuhler> 1.370.0-1.mga1
+ Revision: 20814
- removed buildroot definition from .spec
  commented the if mdkversion lines

  + jquelin <jquelin>
    - imported package perl-IO-Socket-SSL

